clc;
clear;
close all;
%%
syms x f(x)
f(x)  = x+x^3+4*exp(x-1) ; %% inline
df(x) = diff(f, x , 1);
X0 = -1 ; 
N = 10 ;
Tol = 0.0000001 ;
[x , i] = FindRoot(f , df , X0 , N , Tol) ; 
x = double(x) 
double(f(x))
